commit:     69fa809444d7ca0ecc63519e76790d2a321c9936
Author:     Matthias Dahl <matthias.dahl <AT> binary-island <DOT> eu>
AuthorDate: Sun Nov 24 08:07:28 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 19:46:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69fa8094

app-emulation/libpod: Add missing seccomp.json and crun runtime dep

seccomp.json needs to be installed in /usr/share/containers and will
be used by libpod as well as buildah. Without it, some containers
will not work due to seccomp usage that is otherwise blocked.

Fedora has switched to crun as the default container runtime. At the
moment it is the only runtime that supports CGroup v2 which in-turn
greatly helps with rootless mode. Support crun as an alternative to
the runc dependency.

Closes: https://bugs.gentoo.org/692118
Closes: https://github.com/gentoo/gentoo/pull/13743
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Matthias Dahl <matthias.dahl <AT> binary-island.eu>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/libpod/{libpod-1.6.3.ebuild => libpod-1.6.3-r1.ebuild} | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/app-emulation/libpod/libpod-1.6.3.ebuild 
b/app-emulation/libpod/libpod-1.6.3-r1.ebuild
similarity index 97%
rename from app-emulation/libpod/libpod-1.6.3.ebuild
rename to app-emulation/libpod/libpod-1.6.3-r1.ebuild
index 029c6c1413f..fbbde543c71 100644
--- a/app-emulation/libpod/libpod-1.6.3.ebuild
+++ b/app-emulation/libpod/libpod-1.6.3-r1.ebuild
@@ -21,7 +21,7 @@ RESTRICT="test"
 COMMON_DEPEND="
        app-crypt/gpgme:=
        >=app-emulation/conmon-2.0.0
-       >=app-emulation/runc-1.0.0_rc6
+       || ( >=app-emulation/runc-1.0.0_rc6 app-emulation/crun )
        dev-libs/libassuan:=
        dev-libs/libgpg-error:=
        sys-fs/lvm2
@@ -93,6 +93,9 @@ src_install() {
        newins test/registries.conf registries.conf.example
        newins test/policy.json policy.json.example
 
+       insinto /usr/share/containers
+       doins seccomp.json
+
        newinitd "${FILESDIR}"/podman.initd podman
 
        insinto /etc/logrotate.d

Reply via email to